#
# Conditional build:
%bcond_with	tests		# build without tests

%define	pkgname	addressable
Summary:	Improved URI/URL Implementation
Name:		ruby-%{pkgname}
Version:	2.3.5
Release:	6
License:	Apache v2.0
Group:		Development/Languages
Source0:	http://rubygems.org/downloads/%{pkgname}-%{version}.gem
# Source0-md5:	6b9a61885c3c95f912eec560f8f2e3eb
Patch0:		data-location.patch
URL:		http://addressable.rubyforge.org/
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.656
%if %{with tests}
BuildRequires:	ruby-launchy >= 0.3.2
BuildRequires:	ruby-rake >= 0.7.3
BuildRequires:	ruby-rspec >= 2.9.0
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Addressable is a replacement for the URI implementation that is part
of Ruby's standard library. It more closely conforms to the relevant
RFCs and adds support for IRIs and URI templates.

%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1

%build
%__gem_helper spec

%if %{with tests}
rspec spec/
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_vendorlibdir},%{ruby_specdir}}
cp -a lib/* $RPM_BUILD_ROOT%{ruby_vendorlibdir}
cp -p %{pkgname}-%{version}.gemspec $RPM_BUILD_ROOT%{ruby_specdir}
cp -a data $RPM_BUILD_ROOT%{ruby_vendorlibdir}/%{pkgname}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md CHANGELOG.md LICENSE.txt
%{ruby_vendorlibdir}/%{pkgname}
%{ruby_specdir}/%{pkgname}-%{version}.gemspec
%changelog
* Sat Jan 16 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-addressable.git;a=log;h=master

* Sat Jan 16 2016 Jan Rękorajski <baggins@pld-linux.org> 387ad5e
- release 6 (by relup.sh)

* Fri Aug 28 2015 Elan Ruusamäe <glen@delfi.ee> bcc7374
- rebuild without versioned ruby abi dep
- release 5 (by relup.sh)

* Fri Aug 21 2015 Elan Ruusamäe <glen@delfi.ee> 58f7206
- fix data install

* Mon Aug 10 2015 Elan Ruusamäe <glen@delfi.ee> dceec7e
- fix location of data dir

* Tue Jul 22 2014 Elan Ruusamäe <glen@delfi.ee> e4aaa9d
- ruby 2.0 rebuld
- release 2 (by relup.sh)

* Tue Aug 20 2013 Elan Ruusamäe <glen@delfi.ee> 20ea1dd
- up to 2.3.5, package unicode.data

* Mon Jun 24 2013 Elan Ruusamäe <glen@delfi.ee> f8e8911
- build with rubygems provides

* Wed Jun 19 2013 Elan Ruusamäe <glen@delfi.ee> 1189f9f
- new, version 2.3.4

